aboutsummaryrefslogtreecommitdiff
path: root/docker/crupest-debian-dev/bootstrap/bash-profile/code-server.bash
diff options
context:
space:
mode:
Diffstat (limited to 'docker/crupest-debian-dev/bootstrap/bash-profile/code-server.bash')
-rw-r--r--docker/crupest-debian-dev/bootstrap/bash-profile/code-server.bash12
1 files changed, 12 insertions, 0 deletions
diff --git a/docker/crupest-debian-dev/bootstrap/bash-profile/code-server.bash b/docker/crupest-debian-dev/bootstrap/bash-profile/code-server.bash
new file mode 100644
index 0000000..443eb0b
--- /dev/null
+++ b/docker/crupest-debian-dev/bootstrap/bash-profile/code-server.bash
@@ -0,0 +1,12 @@
+export CODE_SERVER_CONFIG="/data/code-server-config.yaml"
+
+CODE_SERVER_PROGRAM=code-server
+CODE_SERVER_PORT=8080
+
+if which "$CODE_SERVER_PROGRAM" > /dev/null 2>&1; then
+ if ! pgrep -f "$CODE_SERVER_PROGRAM" > /dev/null 2>&1; then
+ mkdir -p ~/.local/share/code-server
+ nohup "$CODE_SERVER_PROGRAM" "--bind-addr", "0.0.0.0:$CODE_SERVER_PORT" \
+ > ~/.local/share/code-server/log 2> ~/.local/share/code-server/error &
+ fi
+fi